package projet;

import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;

import java.io.IOException;
import java.time.LocalDate;

@WebServlet("/NouvellePage")
public class NouvellePage extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    public NouvellePage() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession();
		Utilisateur u = (Utilisateur) session.getAttribute("utilisateur");
		
		if(u != null) {
			response.sendRedirect("AfficherPage");
		}else {
			response.sendRedirect("/Projet/");
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession();
		Utilisateur u = (Utilisateur) session.getAttribute("utilisateur");
		
		if(u != null) {
			request.setCharacterEncoding("UTF-8");
			
			String titre = request.getParameter("titre");
			
			if (titre == null || titre.trim().isEmpty()) {
				response.sendRedirect("AfficherPage");
			} else {
				int id = Page.ajouterPage(u.getId(), titre, LocalDate.now());
				if (id !=-1) {
					response.sendRedirect("AfficherPage?id=" + id);
				}
				else response.sendRedirect("AfficherPage");
			}	
		} else {
			response.sendRedirect("/Projet/");
		}		
	}
}
